curl --request PUT \
--url https://api.pipecat.daily.co/v1/secrets/{setName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"secrets": [
{
"secretKey": "API_KEY",
"secretValue": "your-api-key"
},
{
"secretKey": "DATABASE_URL",
"secretValue": "postgresql://user:pass@host:5432/db"
}
],
"region": "us-west"
}
'{
"status": "OK",
"region": "us-west"
}Create or Update Secrets
PUT /secrets/ creates or updates a Pipecat Cloud secret set and its key-value pairs.
PUT
/
secrets
/
{setName}
curl --request PUT \
--url https://api.pipecat.daily.co/v1/secrets/{setName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"secrets": [
{
"secretKey": "API_KEY",
"secretValue": "your-api-key"
},
{
"secretKey": "DATABASE_URL",
"secretValue": "postgresql://user:pass@host:5432/db"
}
],
"region": "us-west"
}
'{
"status": "OK",
"region": "us-west"
}Authorizations
Path Parameters
Body
application/json
- Option 1
- Option 2
Response
Secret set accepted. Values have been stored and the set is being provisioned into the target region in the background. Poll GET /secrets/{setName} until status is ready before binding it to a deploy.